%global momorel 2

Summary: A graphical interface for detecting and configuring soundcards
Name: system-config-soundcard
Version: 1.2.10
Release: %{momorel}m
URL: http://fedora.redhat.com/projects/config-tools/
License: GPL
ExclusiveOS: Linux
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Source0: %{name}-%{version}.tar.bz2
Patch0: %{name}-%{version}-oss-compat.patch
BuildRequires: desktop-file-utils
BuildRequires: gettext
ExcludeArch: s390 s390x
Obsoletes: redhat-config-soundcard
Requires: pygtk
Requires: python
Requires: usermode >= 1.36
Requires: sox
Requires: rhpl
Requires: alsa-lib, alsa-utils
Requires: kudzu-python

%description
system-config-soundcard is a graphical user interface that 
detects and configures the soundcard(s) on the system.

%prep
%setup -q
%patch -p1

perl -p -i -e 's/python2/python/' create_desktop.py src/probeCard.py src/system-config-soundcard src/system-config-soundcard.py

%build
make

%install
make INSTROOT=%{buildroot} install

desktop-file-install --vendor system --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category X-Red-Hat-Base \
  --add-category System \
  %{buildroot}%{_datadir}/applications/system-config-soundcard.desktop

%find_lang %name

%clean
rm -rf %{buildroot}

%preun
if [ -d /usr/share/system-config-soundcard ] ; then
  rm -rf /usr/share/system-config-soundcard/*.pyc
fi

%files -f %{name}.lang
%defattr(-,root,root)
#%doc COPYING
#%doc doc/*
/usr/bin/system-config-soundcard
%dir /usr/share/system-config-soundcard
/usr/share/system-config-soundcard/*
%attr(0644,root,root) %{_datadir}/applications/system-config-soundcard.desktop
%attr(0644,root,root) %{_datadir}/icons/hicolor/48x48/apps/system-config-soundcard.png
%attr(0644,root,root) %config /etc/security/console.apps/system-config-soundcard
%attr(0644,root,root) %config /etc/pam.d/system-config-soundcard

%changelog
* Sat Mar  5 2005 Toru Hoshina <t@momonga-linux.org>
- (1.2.10-2m)
- add some commands to /etc/modprobe.conf so that the oss comatible behavior is available.

* Sun Feb  6 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (1.2.10-1m)
- update to 1.2.10

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2.8-3m)
- add System to Categories of desktop file for KDE

* Thu Jun 10 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.2.8-2m)
- add Requires: kudzu-python

* Thu May  6 2004 Toru Hoshina <t@momonga-linux.org>
- (1.2.8-1m)
- import from Fedora.

* Thu Apr 15 2004 Bill Nottingham <notting@redhat.com> 1.2.8-1
- wait on commands spawned so that modules can load

* Mon Apr 12 2004 Brent Fox <bfox@redhat.com> 1.2.7-4
- fix icon path (bug #120185)

* Wed Mar 10 2004 Brent Fox <bfox@redhat.com> 1.2.7-3
- run amixer with "-q" for quiet mode

* Wed Mar 10 2004 Brent Fox <bfox@redhat.com> 1.2.7-2
- don't unload/reload modules

* Wed Mar 10 2004 Brent Fox <bfox@redhat.com> 1.2.7-1
- add Requires on alsa-lib and alsa-utils (bug #117989)

* Thu Mar  4 2004 Brent Fox <bfox@redhat.com> 1.2.6-1
- remove reference to sndconfig

* Tue Mar  2 2004 Bill Nottingham <notting@redhat.com> 1.2.5-1
- handle missing amixer gracefully (#117082)

* Wed Feb 25 2004 Bill Nottingham <notting@redhat.com> 1.2.4-1
- write alsactl lines for 2.6, use amixer to unmute

* Mon Feb 16 2004 Brent Fox <bfox@redhat.com> 1.2.3-1
- fix some product naming in soundcard.py (bug #115698)

* Thu Jan 29 2004 Jeremy Katz <katzj@redhat.com> - 1.2.2-1
- some fixes for kernel type changes, make it detect the right thing

* Tue Jan 27 2004 Brent Fox <bfox@redhat.com> 1.2.1-1
- patch from Spot to support 2.6 kernel for FC2

* Thu Nov 20 2003 Brent Fox <bfox@redhat.com> 1.1.3-1
- fix path problem in system-config-soundcard

* Wed Nov 19 2003 Brent Fox <bfox@redhat.com> 1.1.2-1
- rebuild

* Fri Nov 14 2003 Brent Fox <bfox@redhat.com> 1.1.0-1
- rename from redhat-config-soundcard into system-config-soundcard
- add Obsoletes for redhat-config-soundcard
- make changes for Python2.3

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.8-2
- bump release and rebuild

* Mon Sep 15 2003 Brent Fox <bfox@redhat.com> 1.0.8-1
- make sure Danish po file charset is UTF-8 (bug #104190)

* Thu Aug 14 2003 Brent Fox <bfox@redhat.com> 1.0.7-1
- tag on every build

* Wed Aug 13 2003 Brent Fox <bfox@redhat.com> 1.0.6-1
- replace BuildRequires on python-tools with gettext

* Tue May 27 2003 Brent Fox <bfox@redhat.com> 1.0.5-2
- fix desktop file encoding problem (bug #91685)

* Wed May 21 2003 Brent Fox <bfox@redhat.com> 1.0.5-1
- make parser ignore commented lines in modules.conf

* Fri May 16 2003 Brent Fox <bfox@redhat.com> 1.0.4-3
- convert da.po to UTF-8 (bug #88461)

* Thu Feb 13 2003 Brent Fox <bfox@redhat.com> 1.0.4-2
- Add BuildRequires for python-tools (bug #84218)

* Wed Feb  5 2003 Brent Fox <bfox@redhat.com> 1.0.4-1
- remove cards with unknown drivers from the list (bug #83234)

* Thu Jan 30 2003 Brent Fox <bfox@redhat.com> 1.0.3-1
- bump and build

* Tue Jan 14 2003 Brent Fox <bfox@redhat.com> 1.0.2-4
- Don't need parent window for dialogs (#81843)

* Tue Dec 24 2002 Brent Fox <bfox@redhat.com> 1.0.2-3
- prevent duplicate entries in /etc/modules.conf (bug #80305)

* Wed Dec 18 2002 Brent Fox <bfox@redhat.com> 1.0.2-2
- make sure the program exits properly with no soundcards found (#79951)

* Fri Nov 22 2002 Brent Fox <bfox@redhat.com> 
- Ask the user if they heard the test sound or not

* Thu Nov 21 2002 Brent Fox <bfox@redhat.com> 1.0.2-1
- Handle multiple cards better

* Wed Nov 13 2002 Brent Fox <bfox@redhat.com> 1.0.1-4
- open modules.conf

* Tue Nov 12 2002 Brent Fox <bfox@redhat.com> 1.0.1-3
- Rebuild for latest translations

* Fri Aug 30 2002 Brent Fox <bfox@redhat.com> 1.0.1-2
- pull in latest translations

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.1-1
- Convert to noarch

* Wed Aug 28 2002 Brent Fox <bfox@redhat.com> 1.0.0-3
- rebuild for latest translations

* Mon Aug 26 2002 Brent Fox <bfox@redhat.com> 1.0.0-2
- recorded new sound sample

* Wed Aug 21 2002 Brent Fox <bfox@redhat.com> 1.0.0-1
- pull translation domains from rhpl

* Tue Aug 13 2002 Brent Fox <bfox@redhat.com> 0.9.9-3
- pull in translations for desktop file

* Mon Aug 12 2002 Tammy Fox <tfox@redhat.com> 0.9.9-2
- replace System with SystemSetup in desktop file categories

* Mon Aug 05 2002 Brent Fox <bfox@redhat.com> 0.9.9-1
- Pull in desktop file translations

* Fri Aug 02 2002 Brent Fox <bfox@redhat.com> 0.9.8-1
- Make changes for new pam timestamp policy

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-2
- use new sample sound
- require sox for playing ability

* Thu Aug 01 2002 Brent Fox <bfox@redhat.com> 0.9.7-1
- Raise a warning if run from the console

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-4
- Raise the volume on /usr/bin/play

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-3
- fix Makefiles and spec files so that translations get installed

* Wed Jul 24 2002 Brent Fox <bfox@redhat.com> 0.9.6-2
- update spec file for public beta 2

* Wed Jul 24 2002 Tammy Fox <tfox@redhat.com> 0.9.5-2
- Fix desktop file (bug #69487)

* Thu Jul 18 2002 Brent Fox <bfox@redhat.com> 0.9.5-1
- Use GtkDialog instead of GtkWindow

* Tue Jul 16 2002 Brent Fox <bfox@redhat.com> 0.9.4-2
- bump rev num and rebuild

* Sat Jul 13 2002 Brent Fox <bfox@redhat.com> 0.9.3-3
- Draw window in center of the screen

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-2
- Update changelogs and rebuild

* Thu Jul 11 2002 Brent Fox <bfox@redhat.com> 0.9.3-1
- Update changelogs and rebuild

* Mon Jul 01 2002 Brent Fox <bfox@redhat.com> 0.9.2-1
- Bump rev number

* Wed Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.1-1
- Fixed description

* Tue Jun 25 2002 Brent Fox <bfox@redhat.com> 0.9.0-5
- Create pot file

* Mon Jun 24 2002 Brent <bfox@redhat.com>
- Handle having no soundcards at all

* Mon Jun 24 2002 Brent Fox <bfox@redhat.com> 0.9.0-4
- Fix spec file

* Fri Jun 21 2002 Brent Fox <bfox@redhat.com> 0.9.0-3
- rebuild for completeness

* Thu Jun 20 2002 Brent Fox <bfox@redhat.com> 0.9.0-2
- Add snapsrc to Makefile

* Wed Jun 12 2002 Brent Fox <bfox@redhat.com> 0.1.0-7
- Comment out writing the file for now

* Mon Jun 03 2002 Brent Fox <bfox@redhat.com> 0.1.0-6
- Move the splitting of description in to maker and model to the backend

* Fri May 31 2002 Brent Fox <bfox@redhat.com> 0.1.0-5
- Allow redhat-config-soundcard to return a string to firstboot if the card has changed

* Fri May 31 2002 Brent Fox <bfox@redhat.com> 0.1.0-4
- Use a different icon now

* Thu May 30 2002 Brent Fox <bfox@redhat.com> 0.1.0-3
- Remove symlink for firstboot.  It won't be it's own step in firstboot

* Thu May 30 2002 Brent Fox <bfox@redhat.com> 0.1.0-2
- Added some code to make it callable from firstboot

* Fri May 17 2002 Brent Fox <bfox@redhat.com>
- initial coding and packaging

